// atalog.h: interface for the Catalog class.
//
//////////////////////////////////////////////////////////////////////

#include "item.h"         // Item class

// Catalog class features:
//   no exception handling

class Catalog {
public:
  void Add( const Item & I );
  // Add a new item to the catalog

  list<Item>::iterator Find( const Item & anItem );
  // Find an item, return an iterator that
  // either points to the item or contains NULL
  // if the item was not found

  void Remove( list<Item>::iterator I );
  // Remove the item pointed to by I

  friend ostream & operator<<( ostream & os,
      const Catalog & C );
  // Stream output operator

private:
  list<Item> m_vItems;
};

