// Item.h: interface for the Item class.
//
//////////////////////////////////////////////////////////////////////

// #pragma once  est obsoleto en g++ Linux.
#ifndef ITEM_H
#define ITEM_H

#include <iostream>
#include <string>
#include <fstream>
#include <list>
using namespace std;

// Item class features:
//   operator overloading
//   no exception handling

class Item {
public:
	Item( const string & catalogID, 
        const string & description = "", 
        double price = 0);

  bool operator ==(const Item & I2) const;
  // overload the equality operator

  friend ostream & operator <<(ostream & os, const Item & I);
  // Overloaded stream output operator

private:
  string m_sCatalogID;     // 6 digit catalog ID number
  string m_sDescription;
  double m_nPrice;
};

#endif

